package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入学要求对象 tb_school_entrance_requirements
 * 
 * @author ruoyi
 * @date 2022-10-11
 */
public class TbSchoolEntranceRequirements extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    private String schoolCnName;

    /** 学历类型 */
    @Excel(name = "学历类型")
    private String educationType;

    /** 具体要求 */
    @Excel(name = "具体要求")
    private String requireDesc;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long creator;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long modifiedBy;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long checker;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long checkStatus;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String checkResult;

    private String creatorDesc;

    private String modifiedByDesc;

    private String checkerDesc;

    private String checkStatusDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setEducationType(String educationType) 
    {
        this.educationType = educationType;
    }

    public String getEducationType() 
    {
        return educationType;
    }
    public void setRequireDesc(String requireDesc) 
    {
        this.requireDesc = requireDesc;
    }

    public String getRequireDesc() 
    {
        return requireDesc;
    }

    public String getSchoolCnName() {
        return schoolCnName;
    }

    public void setSchoolCnName(String schoolCnName) {
        this.schoolCnName = schoolCnName;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("educationType", getEducationType())
            .append("requireDesc", getRequireDesc())
            .append("creator", getCreator())
            .append("createTime", getCreateTime())
            .append("modifiedBy", getModifiedBy())
            .append("updateTime", getUpdateTime())
            .append("checker", getChecker())
            .append("checkTime", getCheckTime())
            .append("checkStatus", getCheckStatus())
            .append("checkResult", getCheckResult())
            .toString();
    }
}
